ICP4DAuthenticator (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.internal

## Class ICP4DAuthenticator

- java.lang.Object
- - com.ibm.streamsx.rest.internal.ICP4DAuthenticator

- All Implemented Interfaces:
    java.util.function.Function<org.apache.http.client.fluent.Executor,java.lang.String>

      public class ICP4DAuthenticator
      extends java.lang.Object
      implements java.util.function.Function<org.apache.http.client.fluent.Executor,java.lang.String>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `apply(org.apache.http.client.fluent.Executor executor)`
    `com.google.gson.JsonObject` | `config(boolean verify)`
    `static ICP4DAuthenticator` | `of(com.google.gson.JsonObject service)`
    `static ICP4DAuthenticator` | `of(java.lang.String urlS, java.lang.String instanceName, java.lang.String user, java.lang.String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Method Detail

    - #### of

          public static ICP4DAuthenticator of(java.lang.String urlS,
                                              java.lang.String instanceName,
                                              java.lang.String user,
                                              java.lang.String password)
                                       throws java.net.MalformedURLException,
                                              java.io.UnsupportedEncodingException

      Throws:
        `java.net.MalformedURLException`
        `java.io.UnsupportedEncodingException`

    - #### config

          public com.google.gson.JsonObject config(boolean verify)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### of

          public static ICP4DAuthenticator of(com.google.gson.JsonObject service)
                                       throws java.net.MalformedURLException,
                                              java.io.UnsupportedEncodingException

      Throws:
        `java.net.MalformedURLException`
        `java.io.UnsupportedEncodingException`

    - #### apply

          public java.lang.String apply(org.apache.http.client.fluent.Executor executor)

      Specified by:
        `apply` in interface `java.util.function.Function<org.apache.http.client.fluent.Executor,java.lang.String>`